player = {}

playerR = {}
playerR[1] = love.graphics.newImage("pics/player/playerR1.png")
playerR[2] = love.graphics.newImage("pics/player/playerR2.png")
playerR[3] = love.graphics.newImage("pics/player/playerR3.png")

playerL = {}
playerL[1] = love.graphics.newImage("pics/player/playerL1.png")
playerL[2] = love.graphics.newImage("pics/player/playerL2.png")
playerL[3] = love.graphics.newImage("pics/player/playerL3.png")

playerU = {}
playerU[1] = love.graphics.newImage("pics/player/playerU1.png")
playerU[2] = love.graphics.newImage("pics/player/playerU2.png")
playerU[3] = love.graphics.newImage("pics/player/playerU3.png")

playerD = {}
playerD[1] = love.graphics.newImage("pics/player/playerD1.png")
playerD[2] = love.graphics.newImage("pics/player/playerD2.png")
playerD[3] = love.graphics.newImage("pics/player/playerD3.png")

player.animtimer = 0
player.pic = playerD[1]
player.pnum = 1

function player:new()
	p = {
		x = 30,
		y = 30,
		w = 30,
		h = 30,
		speed = 50,
		inventory = false
		}
    return p
end

function player:update(dt)
	if k.isDown("a") or k.isDown("left") then
		p.x = p.x - p.speed * dt
		player.pic = playerL[player.pnum]
		player.animtimer = player.animtimer + dt
		if player.animtimer > 0.1 then
			player.pnum = player.pnum + 1
			player.animtimer = 0
		end
		if player.pnum > 3 then
			player.pnum = 1
		end
	end
	if k.isDown("d") or k.isDown("right") then
		p.x = p.x + p.speed * dt
		player.pic = playerR[player.pnum]
		player.animtimer = player.animtimer + dt
		if player.animtimer > 0.1 then
			player.pnum = player.pnum + 1
			player.animtimer = 0
		end
		if player.pnum > 3 then
			player.pnum = 1
		end
	end
	if k.isDown("w") or k.isDown("up") then
		p.y = p.y - p.speed * dt
		player.pic = playerU[player.pnum]
		player.animtimer = player.animtimer + dt
		if player.animtimer > 0.1 then
			player.pnum = player.pnum + 1
			player.animtimer = 0
		end
		if player.pnum > 3 then
			player.pnum = 1
		end
	end
	if k.isDown("s") or k.isDown("down") then
		p.y = p.y + p.speed * dt
		player.pic = playerD[player.pnum]
		player.animtimer = player.animtimer + dt
		if player.animtimer > 0.1 then
			player.pnum = player.pnum + 1
			player.animtimer = 0
		end
		if player.pnum > 3 then
			player.pnum = 1
		end
	end
	if k.isDown("i") then
		p.inventory = true
	end
end

function player:draw()
	g.setColor(255,255,255)

	player.pic:setFilter('nearest', 'nearest')

	g.draw(player.pic, p.x, p.y)
end

function player:animreset(key)
	if key == "d" then
		player.animtimer = 0
		player.pnum = 1
		player.pic = playerR[1]
	end
	if key == "a" then
		player.animtimer = 0
		player.pnum = 1
		player.pic = playerL[1]
	end
	if key == "w" then
		player.animtimer = 0
		player.pnum = 1
		player.pic = playerU[1]
	end
	if key == "s" then
		player.animtimer = 0
		player.pnum = 1
		player.pic = playerD[1]
	end
end
